## pivy 0.5.0~svn765

=== SoPyScript/SConstruct ===
###
# Copyright (c) 2002-2007 Systems in Motion
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import os, sys
import distutils.sysconfig

SetOption('implicit_cache', 1)

opts = Variables('custom.py')
opts.AddVariables(BoolVariable('warnings', 'compilation with -Wall', 1),
                  BoolVariable('debug', 'debug output and symbols', 0))

env = Environment(ENV = os.environ,
                  variables = opts,
                  tools=['default'])

Help(opts.GenerateHelpText(env))

if env['debug']:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/Zi'] or ['-g'])
else:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/O2'] or ['-O2'])

if str(Platform()) != 'win32' and env['warnings']:
    env.Append(CCFLAGS = '-Wall')

sopyscript_env = env.Clone()

if str(Platform()) == 'win32':
    sopyscript_env.Append(CPPPATH = os.getenv("COINDIR") + os.sep + 'include')
    sopyscript_env.Append(CPPDEFINES = Split('COIN_DLL PYSCRIPT_DLL PYSCRIPT_EXPORTS'))
    sopyscript_env.Append(CPPFLAGS = Split('/wd4244 /wd4049'))
    sopyscript_env.Append(LIBPATH = (sys.exec_prefix + os.sep + 'libs').split())
    sopyscript_env.Append(LINKFLAGS = os.getenv('COINDIR') + '\\lib\\coin2.lib')
else:
    sopyscript_env.ParseConfig('coin-config --cppflags --libs --ldflags')

sopyscript_env.Append(CPPPATH = ['.', distutils.sysconfig.get_python_inc()])
sopyscript_env.Append(LIBPATH = ['..', distutils.sysconfig.get_python_lib()])

sopyscript_env.Append(LINKFLAGS = distutils.sysconfig.get_config_vars().get('LINKFORSHARED', '').split() +
                                  distutils.sysconfig.get_config_vars().get('BLDLIBRARY', '').split())

sopyscript_env.SharedLibrary('SoPyScript', 'SoPyScript.cpp')

=== examples/SoPyScript/SConstruct ===
###
# Copyright (c) 2002-2007 Systems in Motion
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import os, sys
import distutils.sysconfig

SetOption('implicit_cache', 1)

opts = Options('custom.py')
opts.AddOptions(BoolOption('warnings', 'compilation with -Wall', 1),
                BoolOption('debug', 'debug output and symbols', 0))

env = Environment(ENV = os.environ,
                  options = opts,
                  tools=['default'])

Help(opts.GenerateHelpText(env))

if env['debug']:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/Zi'] or ['-g'])
else:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/O2'] or ['-O2'])

if str(Platform()) != 'win32' and env['warnings']:
    env.Append(CCFLAGS = '-Wall')

env.Repository('../../SoPyScript')
examin_env = env.Copy(CPPPATH = ['.', distutils.sysconfig.get_python_inc()])

if str(Platform()) == 'win32':
    examin_env.Append(CPPPATH = os.getenv("COINDIR") + os.sep + 'include')
    examin_env.Append(CPPDEFINES = Split('COIN_DLL SOWIN_DLL'))
    examin_env.Append(CPPFLAGS = Split('/wd4244 /wd4049'))
    examin_env.Append(LIBPATH = (sys.exec_prefix + os.sep + 'libs').split())
    examin_env.Append(LINKFLAGS = os.getenv('COINDIR') + '\\lib\\coin2.lib ' + \
                      os.getenv('COINDIR') + '\\lib\\sowin1.lib')
else:
    examin_env.ParseConfig('soqt-config --cppflags --libs --ldflags')

examin_env.Append(LINKFLAGS = distutils.sysconfig.get_config_vars().get('LINKFORSHARED', '').split() +
                              distutils.sysconfig.get_config_vars().get('BLDLIBRARY', '').split())

examin_env.Program('examin', Split((str(Platform()) == 'win32' and 'sowinexamin.cpp' or 'soqtexamin.cpp') + ' SoPyScript.cpp'))

## pivy 0.5.0~v609hg

=== debian/changelog ===
pivy (0.5.0~v609hg-4) unstable; urgency=medium

  * Team upload.
  * [11add23] Apply cme fix dpkg-control.
  * [e35ff4a] Set Standards-Version to 4.1.3
  * [e6ac823] Set compat-level 11
  * [e66f6a7] Update VCS-fields to salsa
  * [05d3949] Use Priority optional instead of extra
  * [d7da3e2] Remove myself from uploaders

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Dec 2017 20:17:34 +0100

pivy (0.5.0~v609hg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove long useless debian/pycompat file.
  * Build-Depend on dh-python instead of python-support.  Closes:
    #786149
  * use X-Python-Version control field instead of the debian/pyversions
    file.
  * debian/control: bump Standards-Version to 3.9.6, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 01:10:04 +0000

pivy (0.5.0~v609hg-3) unstable; urgency=low

  * [ffc321b] Update/fix VCS-fields.
  * [6a8ffda] Use dh 9. Clean debian/rules.
  * [06471e5] Remove README.source.
  * [a9eec4e] Add --parallel option.
  * [e1c6b3f] Add myself as uploader.

 -- Anton Gladky <gladk@debian.org>  Sat, 06 Jul 2013 23:33:11 +0200

pivy (0.5.0~v609hg-2) unstable; urgency=low

  * Build-dep on libcoin80-dev and latest libsoqt4-dev.
  * Change maintainer to Debian Science Maintainers,
    add Teemu Ikonen to Uploaders.
  * Upgrade to standards-version 3.9.4.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 30 May 2013 12:59:43 +0200

pivy (0.5.0~v609hg-1) unstable; urgency=low

  * New snapshot from upstream mercurial repository
  * New upstream version fixes pivy.gui.soqt import (closes: #583323)
  * Change versioning scheme to follow hg revisions
  * 'Fix' watch file (it finds only ancient pivy versions)
  * copyright: Update years, change to current DEP5 format
  * Add debian/source/format file with text "3.0 (quilt)"
  * Add debian/source/options file
    - Use bz2 with maximum compression
    - Generate a single debian-changes patch
  * control:
    - Update standards-version to 3.9.2
    - Add Vcs-* fields
  * rules:
    - Add build-arch and build-indep targets to please lintian
    - Add get-orig-source target to fetch source from upstream hg repo
  * QuarterWidget.py: Replace string exception with an IOError
    (closes: #585313)
  * Building with swig 2.0.4-4 fixes FTBS (closes: #639077)

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 21 Sep 2011 14:31:38 +0200

pivy (0.5.0~svn765-2) unstable; urgency=low

  * control:
      Add dependency to python-qt4-gl to binary package.
      Mention quarter in the description.
  * copyright: remove scons files, update copyright holder name
    from Systems in Motion to Kongsberg SIM
  * Upload to unstable (closes: #504617)

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 19 Sep 2009 23:09:28 +0200

pivy (0.5.0~svn765-1) unstable; urgency=low

  * New upstream SVN snapshot
  * Use a svn revision in the version number, in stead of date
  * control: Update to standards-version 3.8.3
  * rules: Remove call to dh_clean -k, add call to dh_prep
  * Add a README.source file explaining how to recreate the orig.tar
    from upstream SVN

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 11 Sep 2009 23:54:48 +0200

pivy (0.5.0~svn2009.06.18-1) UNRELEASED; urgency=low

  * New upstream version
  * control:
    - Remove build-dep from cdbs
    - Update libsoqt4-dev versioned build-dep to the version in unstable.
  * rules:
    - Let 'dh clean' run the setup.py clean target
  * copyright: Update
  * Upload to unstable (closes: #504617)

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 01 Aug 2009 15:34:07 +0200

pivy (0.5.0~svn2008.12.11-1) UNRELEASED; urgency=low

  * New upstream version from SVN snapshots
  * rules: use pure debhelper instead of CDBS

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 13 Dec 2008 13:03:45 +0100

pivy (0.3.0-1) UNRELEASED; urgency=low

  * Initial packaging

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 13 Nov 2008 15:31:51 +0100

=== debian/control ===
Source: pivy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all-dev,
               libsoqt4-dev (>= 1.5.0-2.1),
               libcoin80-dev,
               libsimage-dev,
               swig
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/pivy
Vcs-Git: https://salsa.debian.org/science-team/pivy.git
Homepage: http://pivy.coin3d.org/
X-Python-Version: >= 2.4

Package: python-pivy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-qt4-gl
Provides: ${python:Provides}
Description: Coin binding for Python
 Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
 with a C++ API. Coin uses scene-graph data structures to render real-time
 graphics suitable for mostly all kinds of scientific and engineering
 visualization applications.
 Pivy allows:
 .
    * Development of Coin applications and extensions in Python
    * Interactive modification of Coin programs from within the
      Python interpreter at runtime
    * Incorporation of Scripting Nodes into the scene graph which
      are capable of executing Python code and callbacks
    * Use of Coin within PyQt4 applications with the quarter module

=== debian/watch ===
version=3
http://pivy.coin3d.org/download/pivy/releases/(\d\.\d\.\d)/Pivy-(\d\.\d\.\d)\.tar\.gz

## pivy 0.6.4

=== CMakeLists.txt ===
project(pivy_cmake_setup NONE)
cmake_minimum_required(VERSION 3.5)


find_package(Coin CONFIG REQUIRED)

if (Coin_INCLUDE_DIR)
    MESSAGE(STATUS "COIN_FOUND: " true)
else()
    MESSAGE(STATUS "COIN_FOUND: " false)
endif()

MESSAGE(STATUS "COIN_INCLUDE_DIR: " ${Coin_INCLUDE_DIR})
MESSAGE(STATUS "COIN_LIB_DIR: " ${Coin_LIB_DIR})
MESSAGE(STATUS "COIN_VERSION: " ${Coin_VERSION})



find_package(soqt CONFIG QUIET)

if (SoQt_INCLUDE_DIRS)
    MESSAGE(STATUS "SOQT_FOUND: " true)
else()
    MESSAGE(STATUS "SOQT_FOUND: " false)
endif()

MESSAGE(STATUS "SOQT_INCLUDE_DIR: " ${SoQt_INCLUDE_DIRS})
MESSAGE(STATUS "SOQT_LIB_DIR: " ${SoQt_LIBRARY_DIRS})
MESSAGE(STATUS "SOQT_VERSION: " ${SoQt_VERSION})

=== debian/changelog ===
pivy (0.6.4-1) unstable; urgency=medium

  * [89980e8] Correct alignment in d/control
  * Upload to unstable

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 20 Dec 2018 11:15:00 -0600

pivy (0.6.4-1~exp1) experimental; urgency=medium

  [ Kurt Kremitzki ]
  * [fd3e9ff] Update d/watch to Bitbucket upstream
  * [1240704] New upstream version 0.6.4
  * [e146f09] Update packaging for 0.6.4 & Python 3 build
  * [32f691c] Update coin/soqt deps  (Closes: #915371)
  * [928033b] Update python3 build version
  * [1e62848] Use new setup.py
  * [bb4d9b1] Use multiarch cmake prefix path
  * [3ee4cb2] Add fakeheaders
  * [8af0d83] Add py37 patch

  [ Leopold Palomo-Avellaneda ]
  * [082b614] Added patch to fix CMake Vars
  * [6444c2c][a3f8ccd] Added patch to make a workaround for Includes in swig
  * [b1cb822] Activating the patches
  * [e408ffc][52eb28e][3796801]
            Added cmake and qt5 correct build dependencies.
    	      Added QT_SELECT=qt5 to built against Qt5 (Closes: #875099)
  * [fb3f5a9] Bump Standards to 4.2.1. No changes
  * [3a0b6ea] Added description to a patch

  [ Anton Gladky ]
  * [0496ce5] Fix typo in d/changelog
  * [2d065b0] Drop debian/source/options

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 15 Dec 2018 13:51:48 -0600

=== debian/control ===
Source: pivy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Kurt Kremitzki <kurt@kwk.systems>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-dbg,
               python-dev,
               python-numpy,
               python-pyside2.qtcore,
               python-pyside2.qtgui,
               python-pyside2.qtopengl,
               python-pyside2.qtwidgets,
               python-setuptools,
               python3-dbg,
               python3-dev,
               python3-numpy,
               python3-pyside2.qtcore,
               python3-pyside2.qtgui,
               python3-pyside2.qtopengl,
               python3-pyside2.qtwidgets,
               python3-setuptools,
               libsoqt520-dev,
               libcoin-dev,
               libsimage-dev,
               swig,
               cmake,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/pivy
Vcs-Git: https://salsa.debian.org/science-team/pivy.git
Homepage: https://bitbucket.org/Coin3D/pivy

Package: python-pivy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-pyside2.qtcore,
         python-pyside2.qtgui,
         python-pyside2.qtopengl,
         python-pyside2.qtwidgets,
         shiboken2
Provides: ${python:Provides}
Description: Coin binding for Python
 Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
 with a C++ API. Coin uses scene-graph data structures to render real-time
 graphics suitable for mostly all kinds of scientific and engineering
 visualization applications.
 Pivy allows:
 .
    * Development of Coin applications and extensions in Python
    * Interactive modification of Coin programs from within the
      Python interpreter at runtime
    * Incorporation of Scripting Nodes into the scene graph which
      are capable of executing Python code and callbacks
    * Use of Coin within PyQt4 applications with the quarter module

Package: python3-pivy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         python3-pyside2.qtopengl,
         python3-pyside2.qtwidgets,
         shiboken2
Provides: ${python3:Provides}
Description: Coin binding for Python 3
 Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
 with a C++ API. Coin uses scene-graph data structures to render real-time
 graphics suitable for mostly all kinds of scientific and engineering
 visualization applications.
 Pivy allows:
 .
    * Development of Coin applications and extensions in Python
    * Interactive modification of Coin programs from within the
      Python interpreter at runtime
    * Incorporation of Scripting Nodes into the scene graph which
      are capable of executing Python code and callbacks
    * Use of Coin within PyQt4 applications with the quarter module
 .
 This package contains the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export PYBUILD_NAME=pivy
export PYBUILD_SYSTEM=distutils
export PYBUILD_INTERPRETERS=python{version} python{version}-dbg
export PYBUILD_VERSIONS=2.7 3.7
export PYBUILD_DISABLE=test
export PYBUILD_BEFORE_BUILD=find {dir} -name soqt_wrap.cpp -delete; find {dir} -name coin_wrap.cpp -delete
export PYBUILD_BEFORE_INSTALL=find {dir} -name soqt_wrap.cpp -delete; find {dir} -name coin_wrap.cpp -delete
export CMAKE_PREFIX_PATH=/usr/lib/${DEB_HOST_MULTIARCH}/cmake
export QT_SELECT=qt5

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	cd fake_headers && touch cstddef cstdarg cassert
	dh_auto_configure

override_dh_installexamples:
	# Don't install non-working examples
	find -name Sc21Viewer.py -delete
	find -name 06.3.Complex3DText_not_working.py -delete
	dh_installexamples

override_dh_missing-arch:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://bitbucket.org/Coin3D/pivy/downloads?tab=tags /Coin3D/pivy/get/(\d.*)\.tar\.(?:bz2|gz)

## pivy 0.6.5

=== CMakeLists.txt ===
project(pivy_cmake_setup NONE)
cmake_minimum_required(VERSION 3.5)


find_package(Coin CONFIG REQUIRED)

if (Coin_INCLUDE_DIR)
    MESSAGE(STATUS "COIN_FOUND: true")
else()
    MESSAGE(STATUS "COIN_FOUND: false")
endif()

MESSAGE(STATUS "COIN_INCLUDE_DIR: ${Coin_INCLUDE_DIR}")
MESSAGE(STATUS "COIN_LIB_DIR: ${Coin_LIB_DIR}")
MESSAGE(STATUS "COIN_VERSION: ${Coin_VERSION}")



find_package(soqt CONFIG QUIET)

if (SoQt_INCLUDE_DIRS)
    MESSAGE(STATUS "SOQT_FOUND: true")
else()
    MESSAGE(STATUS "SOQT_FOUND: false")
endif()

MESSAGE(STATUS "SOQT_INCLUDE_DIR: ${SoQt_INCLUDE_DIRS}")
MESSAGE(STATUS "SOQT_LIB_DIR: ${SoQt_LIBRARY_DIRS}")
MESSAGE(STATUS "SOQT_VERSION: ${SoQt_VERSION}")

=== debian/changelog ===
pivy (0.6.5-1ubuntu0.22.04.1) jammy; urgency=medium

  * Fix exception in pivy cast functions with Python 3.10 (LP: #2000840)

 -- David Ward <david.ward@gatech.edu>  Mon, 02 Jan 2023 19:51:20 -0500

pivy (0.6.5-1build6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:50:19 +0000

pivy (0.6.5-1build5) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Oct 2021 00:20:12 +0200

pivy (0.6.5-1build4) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:23:52 +0100

pivy (0.6.5-1build3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:02:06 +0100

pivy (0.6.5-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:18 +0100

pivy (0.6.5-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 10:41:57 +0100

pivy (0.6.5-1) unstable; urgency=medium

  * [2ac31f3] Remove upstreamed patches (all)
  * [b62ef60] Update d/watch to new Github upstream
  * [da6fa49] Update homepage
  * [03ae26c] Add Rules-Requires-Root: no
  * [0d19e64] New upstream version 0.6.5
  * [5249b08] Don't hardcode Python version (Closes: #949970)

 -- Kurt Kremitzki <kurt@kwk.systems>  Mon, 27 Jan 2020 20:37:31 -0600

pivy (0.6.4-2) unstable; urgency=medium

  * Team upload.
  * [b68f72b] Drop Python 2 support (Closes: #937295)
  * [a612bc1] Enable autopkgtest-pkg-python testsuite
  * [0bb2697] d/copyright: Change Format URL to correct one
  * [d22c3d7] Use debhelper-compat instead of debian/compat
  * [ea65f6c] Bump standards version to 4.4.1
  * [738d410] Bump debhelper compat level to 12

 -- Ondřej Nový <onovy@debian.org>  Mon, 28 Oct 2019 10:18:43 +0100

=== debian/control ===
Source: pivy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Kurt Kremitzki <kurt@kwk.systems>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy,
               python3-pyside2.qtcore,
               python3-pyside2.qtgui,
               python3-pyside2.qtopengl,
               python3-pyside2.qtwidgets,
               python3-setuptools,
               libsoqt520-dev,
               libcoin-dev,
               libsimage-dev,
               swig,
               cmake,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/pivy
Vcs-Git: https://salsa.debian.org/science-team/pivy.git
Homepage: https://github.com/coin3d/pivy
Testsuite: autopkgtest-pkg-python

Package: python3-pivy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         python3-pyside2.qtopengl,
         python3-pyside2.qtwidgets,
         shiboken2
Provides: ${python3:Provides}
Description: Coin binding for Python 3
 Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
 with a C++ API. Coin uses scene-graph data structures to render real-time
 graphics suitable for mostly all kinds of scientific and engineering
 visualization applications.
 Pivy allows:
 .
    * Development of Coin applications and extensions in Python
    * Interactive modification of Coin programs from within the
      Python interpreter at runtime
    * Incorporation of Scripting Nodes into the scene graph which
      are capable of executing Python code and callbacks
    * Use of Coin within PyQt4 applications with the quarter module
 .
 This package contains the Python 3 bindings.

## pivy 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(pivy)


option(DISABLE_SWIG_WARNINGS "if on no swig warnings are shown" OFF)

find_package(SWIG 4.0.0 REQUIRED)
include(${SWIG_USE_FILE})

find_package(Coin CONFIG REQUIRED)
find_package(SoQt CONFIG)

if (SoQt_FOUND)
    find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED)
endif()

find_package(Python REQUIRED COMPONENTS Interpreter Development)

# SWIGIFY HEADERS
# doing this with the origin python functions

execute_process(COMMAND ${Python_EXECUTABLE} -c
"import sys; sys.path.append('${CMAKE_SOURCE_DIR}'); \
import install_helpers; install_helpers.swigify('${CMAKE_SOURCE_DIR}', '${Coin_INCLUDE_DIR}');")


# copy the python module
include(TargetCopyFiles.cmake)

add_custom_target(pivy ALL)
add_copy_directory(pivy ${CMAKE_SOURCE_DIR}/pivy
    DESTINATION ${CMAKE_BINARY_DIR}/pivy
    PATTERN *.py
)

add_subdirectory(interfaces)

install(DIRECTORY
    ${CMAKE_BINARY_DIR}/pivy
    DESTINATION ${Python_SITEARCH}
    FILES_MATCHING
    PATTERN "*.py"
    PATTERN "*.so"
    PATTERN "*.dylib"
    PATTERN "*.dll"
    PATTERN "*.pyd"
    )

=== debian/changelog ===
pivy (0.6.7-0.1ubuntu0.1) kinetic; urgency=medium

  * Fix exception in pivy cast functions with Python 3.10 (LP: #2000840)

 -- David Ward <david.ward@gatech.edu>  Mon, 02 Jan 2023 20:35:44 -0500

pivy (0.6.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Improved Python 3.10 compatibility. (Closes: #1009037)

 -- Adrian Bunk <bunk@debian.org>  Wed, 11 May 2022 22:08:30 +0300

## pivy 0.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.14)
+cmake_minimum_required(VERSION 3.18)
 project(pivy)

=== examples/extend/SConstruct ===
###
# Copyright (c) 2002-2007 Systems in Motion
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import os, sys
import distutils.sysconfig

SetOption('implicit_cache', 1)

opts = Options('custom.py')
opts.AddOptions(BoolOption('warnings', 'compilation with -Wall', 0),
                BoolOption('debug', 'debug output and symbols', 0))

env = Environment(ENV = os.environ,
                  options = opts,
                  tools=['default'])

Help(opts.GenerateHelpText(env))

if env['debug']:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/Zi'] or ['-g'])
else:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/O2'] or ['-O2'])

if str(Platform()) != 'win32' and env['warnings']:
    env.Append(CCFLAGS = '-Wall')


if str(Platform()) == 'win32':
    env.Append(CPPPATH = os.getenv("COINDIR") + os.sep + 'include')
    env.Append(CPPDEFINES = 'COIN_DLL')
    env.Append(CPPFLAGS = Split('/wd4244 /wd4049'))
    env.Append(LIBPATH = (sys.exec_prefix + os.sep + 'libs').split())
    env.Append(LIBPATH = os.getenv('COINDIR') + '\\lib' )
    env.Append(LIBS = 'coin2.lib')
    INCLUDE_DIR = os.getenv("COINDIR") + os.sep + 'include'
else:
    env.ParseConfig('coin-config --cppflags --libs --ldflags')
    INCLUDE_DIR = os.popen('coin-config --includedir').read()

PIVY_ROOT = '../..'

env.Append(CPPPATH = ['.', PIVY_ROOT + '/interfaces', distutils.sysconfig.get_python_inc()])
env.Append(LIBPATH = [PIVY_ROOT, distutils.sysconfig.get_python_lib()])
env.Append(LINKFLAGS = distutils.sysconfig.get_config_vars().get('LINKFORSHARED', '').split())

SWIG_SUPPRESS_WARNINGS = '-w302,306,307,312,389,361,362,467,503,509,510'
env.Append(SWIGFLAGS = '-c++ -python -includeall -modern -D__PIVY__ ' +
           '-I. -I%s/interfaces -I%s/fake_headers -I/usr/local/include -I%s %s' %
           (PIVY_ROOT, PIVY_ROOT, INCLUDE_DIR, SWIG_SUPPRESS_WARNINGS))

lib = env.SharedLibrary('_shapescale', Split('shapescale.i ShapeScale.cpp'),
                        SHLIBPREFIX = '',
                        SHLIBSUFFIX = distutils.sysconfig.get_config_vars()['SO'],
                        SWIGCXXFILESUFFIX = '_wrap.cpp')

env.Clean(lib, Split('shapescale.py shapescale.pyc'))

=== debian/changelog ===
pivy (0.6.8-1) unstable; urgency=medium

  [ Georges Khaznadar ]
  * integrated properly Adrian Bunk's entry in debian/changelog about
    release 0.6.7-0.1
  * bumped debhelper-compat's version back to 13
  * added a file debian/salsa-ci.yml to enable continuous integration

  [ Kurt Kremitzki ]
  * [0d14479] New upstream version 0.6.8
  * [91f4814] Use my @d.o address for uploader

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 03 Nov 2022 22:47:07 -0500

pivy (0.6.6-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * Non-maintainer upload
  * [c4162d7] New upstream version 0.6.6
  * [9184ba1] Updated to dh version 13

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Fri, 04 Mar 2022 16:12:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pivy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Kurt Kremitzki <kurt@kwk.systems>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Kurt Kremitzki <kkremitzki@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dbg,
                python3-all-dev,

## pivy 0.6.9~a0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 
 option(DISABLE_SWIG_WARNINGS "if on no swig warnings are shown" OFF)
+option(PIVY_USE_QT6 "Prefer Qt6 over Qt5 if available" OFF)
 
 find_package(SWIG 4.0.0 REQUIRED)
 include(${SWIG_USE_FILE})
@@ -11,7 +12,11 @@
 find_package(SoQt CONFIG)
 
 if (SoQt_FOUND)
-    find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED)
+    if (PIVY_USE_QT6)
+        find_package(Qt6 COMPONENTS Core Widgets Gui REQUIRED)
+    else (PIVY_USE_QT6)
+        find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED)
+    endif (PIVY_USE_QT6)
 endif()
 
 find_package(Python REQUIRED COMPONENTS Interpreter Development)

=== distutils_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pivy_cmake_setup NONE)


find_package(Coin CONFIG REQUIRED)

if (Coin_FOUND)
	MESSAGE(STATUS "COIN_FOUND: TRUE")
	MESSAGE(STATUS "COIN_INCLUDE_DIR: ${Coin_INCLUDE_DIR}")
	MESSAGE(STATUS "COIN_LIB_DIR: ${Coin_LIB_DIR}")
	MESSAGE(STATUS "COIN_VERSION: ${Coin_VERSION}")
endif()


find_package(SoQt CONFIG)

if (SoQt_FOUND)
	MESSAGE(STATUS "SOQT_FOUND: True")
	MESSAGE(STATUS "SOQT_INCLUDE_DIR: ${SoQt_INCLUDE_DIRS}")
	MESSAGE(STATUS "SOQT_LIB_DIR: ${SoQt_LIBRARY_DIRS}")
	MESSAGE(STATUS "SOQT_VERSION: ${SoQt_VERSION}")
endif()

=== interfaces/CMakeLists.txt ===
function(set_swig_properties NAME)
    set_property(SOURCE ${NAME} PROPERTY CPLUSPLUS ON)
    set_property(SOURCE ${NAME} PROPERTY SWIG_FLAGS "-includeall")
    set_property(SOURCE ${NAME} APPEND PROPERTY SWIG_FLAGS "-py3")
    set_property(SOURCE ${NAME} APPEND PROPERTY SWIG_FLAGS "-D__PIVY__")
    if(DISABLE_SWIG_WARNINGS)
        set_property(SOURCE ${NAME} APPEND PROPERTY SWIG_FLAGS
            "-w302,306,307,312,314,325,361,362,467,389,503,509,510")
    endif(DISABLE_SWIG_WARNINGS)
endfunction()


set_swig_properties(coin.i)

# remember: the order of the includes is important!
# swig needs the generated headers first (these headers are replacing the origin Inventor headers)
set_property(SOURCE coin.i PROPERTY INCLUDE_DIRECTORIES "${CMAKE_SOURCE_DIR}")
set_property(SOURCE coin.i APPEND PROPERTY INCLUDE_DIRECTORIES "${CMAKE_SOURCE_DIR}/fake_headers")
set_property(SOURCE coin.i APPEND PROPERTY INCLUDE_DIRECTORIES "${Coin_INCLUDE_DIR}")


swig_add_library(coin
    LANGUAGE python
    OUTPUT_DIR ${CMAKE_BINARY_DIR}/pivy
    SOURCES coin.i)

if (APPLE)
    set_target_properties(coin PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
elseif (WIN32)
    set_target_properties(coin PROPERTIES COMPILE_FLAGS "/bigobj")
    target_link_libraries(coin PUBLIC ${Python_LIBRARIES})
endif ()

target_include_directories(coin
    PUBLIC
    ${Coin_INCLUDE_DIR}
    ${Python_INCLUDE_DIRS}
    PRIVATE
    ${CMAKE_SOURCE_DIR}/interfaces
    )

target_link_libraries(coin PUBLIC Coin::Coin)
install(TARGETS coin DESTINATION ${Python_SITEARCH}/pivy)


if (SoQt_FOUND)

    set_swig_properties(soqt.i)

    # remember: the order of the includes is important!
    # swig needs the generated headers first (these headers are replacing the origin Inventor headers)
    set_property(SOURCE soqt.i PROPERTY INCLUDE_DIRECTORIES "${CMAKE_SOURCE_DIR}")
    set_property(SOURCE soqt.i APPEND PROPERTY INCLUDE_DIRECTORIES "${CMAKE_SOURCE_DIR}/fake_headers")
    set_property(SOURCE soqt.i APPEND PROPERTY INCLUDE_DIRECTORIES "${SoQt_INCLUDE_DIRS}")


    swig_add_library(soqt
        LANGUAGE python
        OUTPUT_DIR ${CMAKE_BINARY_DIR}/pivy/gui
        SOURCES soqt.i)

    if (APPLE)
        set_target_properties(soqt PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
    elseif (WIN32)
        set_target_properties(coin PROPERTIES COMPILE_FLAGS "/bigobj")
        target_link_libraries(soqt PUBLIC ${Python_LIBRARIES})
    endif ()

    target_include_directories(soqt
        PUBLIC
        ${SoQt_INCLUDE_DIRS}
        ${Qt5Gui_INCLUDE_DIRS}
        ${Qt5Widgets_INCLUDE_DIRS}
        ${Python_INCLUDE_DIRS}
        PRIVATE
        ${CMAKE_SOURCE_DIR}/interfaces
        )

    target_link_libraries(soqt PUBLIC SoQt::SoQt)
    install(TARGETS soqt DESTINATION ${Python_SITEARCH}/pivy/gui)
endif()

=== debian/changelog ===
pivy (0.6.9~a0-1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:48:44 +0000

pivy (0.6.9~a0-1build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:29:01 +0100

pivy (0.6.9~a0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:00 +1100

pivy (0.6.9~a0-1build1) noble; urgency=high

  * No change rebuild against libsoqt520t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:49:12 +0100

pivy (0.6.9~a0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [77e466d] Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * [b258293] Update standards version to 4.6.1, no changes needed.

  [ Kurt Kremitzki ]
  * [aecd01a] New upstream version 0.6.9~a0 (Closes: #1055697)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sun, 14 Jan 2024 23:26:18 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pivy
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Kurt Kremitzki <kkremitzki@debian.org>
 Section: python
 Priority: optional
@@ -21,7 +22,7 @@
                qt5-qmake,
                qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/pivy
 Vcs-Git: https://salsa.debian.org/science-team/pivy.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 export PYBUILD_NAME=pivy
 export PYBUILD_SYSTEM=distutils
 export PYBUILD_INTERPRETERS=python{version} python{version}-dbg
-export PYBUILD_VERSIONS=2.7 3.7
 export PYBUILD_DISABLE=test
 export PYBUILD_BEFORE_BUILD=find {dir} -name soqt_wrap.cpp -delete; find {dir} -name coin_wrap.cpp -delete
 export PYBUILD_BEFORE_INSTALL=find {dir} -name soqt_wrap.cpp -delete; find {dir} -name coin_wrap.cpp -delete
@@ -15,7 +14,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
 	cd fake_headers && touch cstddef cstdarg cassert
